Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.overshoot.ai/llms.txt

Use this file to discover all available pages before exploring further.

1

Authenticate

Get your API Key

2

Create a stream

We call the /streams endpoint to create a Stream
curl -X POST https://api.overshoot.ai/v1/streams \
-H "Authorization: Bearer $OVERSHOOT_API_KEY"
The command above returns a Room URL and a Token. Save those for the next step. 
{
    "id": "2ea5a604-d225-4cd2-82ac-b907cb0b4f63",
    "state": "active",
    "publish": {
        "type": "livekit",
        "url": "wss://livekit.overshoot.ai",
        "token": "ey...k"
    },
    "expires_at_ms": 1777529931184,
    "ttl_seconds": 300
}
3

Connect your webcam to the stream

Use your Room URL and Token to connect your camera using LiveKit Meet. You can also use your favorite LiveKit SDK for this.
4

Ask the model what it can see

Once the camera is connected, send a simple Chat Completion request to the model.
curl -X POST https://api.overshoot.ai/v1/chat/completions \
-H "Authorization: Bearer $OVERSHOOT_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "google/gemma-4-E4B-it",
"messages": [
    {
    "role": "user",
    "content": [
        {"type": "text", "text": "What am I wearing?"},
        {"type": "image_url", "image_url": {
            "url": "ovs://streams/{stream_id}?frame_index=-1"
        }}
    ]
    }]}'
{
    "id": "34225b75-abae-4c58-8191-2abdc8f437de",
    "object": "chat.completion",
    "created": 1777530304,
    "model": "google/gemma-4-E4B-it",
    "choices": [
        {
            "index": 0,
            "message": {
                "role": "assistant",
                "content": "Plaid robe, t-shirt."
            },
            "finish_reason": "stop"
        }
    ],
    "usage": {
        "prompt_tokens": 307,
        "completion_tokens": 9,
        "total_tokens": 316
    }
}